"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResFinder = exports.CustomTreeMenu = exports.TreeMenu = exports.default = void 0;

var _Layout = _interopRequireDefault(require("./Layout"));

var _Menu = _interopRequireWildcard(require("./Menu"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _Layout.default;
exports.default = _default;
var TreeMenu = _Menu.default;
exports.TreeMenu = TreeMenu;
var CustomTreeMenu = _Menu.CustomMenu;
exports.CustomTreeMenu = CustomTreeMenu;

var ResFinder = function ResFinder(resources) {
  return function (name) {
    for (var i = 0; i < resources.length; i++) {
      if (resources[i] && resources[i].name == name) {
        return resources[i];
      }
    }

    return null;
  };
};

exports.ResFinder = ResFinder;