import React from 'react';
import { Admin, Resource } from 'react-admin';
import TreeMenuLayout from 'ra-tree-menu';

const App = () => (
    <Admin appLayout={TreeMenuLayout}>
        <Resource name="users" />
        <Resource name="user_posts" />
        <Resource name="user_images" />
        <Resource name="groups" />
        <Resource name="group_members" />
    </Admin>
);